## fwupd 1.3.6

=== debian/changelog ===
fwupd (1.3.6-1) unstable; urgency=medium

  * New upstream version (1.3.6)
    - Fixes shutdown failed with exit 2 (Fixes: #947205)
    - Fixes motd issue, requires newer systemd though as well (Fixes: #943343)
  * Drop all patches from previous upload, now upstream.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 30 Dec 2019 17:23:21 -0600

fwupd (1.3.5-1) unstable; urgency=medium

  * New upstream version (1.3.5)
  * Introduce new binary packages for new library libfwupdplugin,
    allowing out of tree plugin builds.
  * trivial: debian: remove obj-* built files to fix back to back builds
  * trivial: ci: debian: enable verbose daemon logging for failure analysis
  * Backport some patches to improve autopkgtest debugging

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 01 Dec 2019 07:22:47 -0600

fwupd (1.3.4-1) unstable; urgency=medium

  * New upstream version (1.3.4)
  * d/c: Only include TSS dependencies on architectures building EFI plugin.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 22 Nov 2019 10:14:13 -0600

fwupd (1.3.3-3) unstable; urgency=medium

  * Backport a patch to allow confined snaps to activate fwupd

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 12 Nov 2019 12:41:57 -0600

fwupd (1.3.3-2) unstable; urgency=medium

  * backport a patch to fix fastboot plugin on DW5821e
  * backport a patch to only use mingw-w64-tools in archs with EFI

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 12 Nov 2019 12:41:55 -0600

fwupd (1.3.3-1) unstable; urgency=medium

  * New upstream version (1.3.3)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 01 Nov 2019 12:34:24 -0500

fwupd (1.3.2-5) unstable; urgency=medium

  * Backport patch to skip transient self test failure in polling

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 22 Oct 2019 10:05:24 -0500

fwupd (1.3.2-4) unstable; urgency=medium

  * Disable fwupd-refresh.service by default (Closes: #942630)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 20 Oct 2019 17:14:08 -0500

fwupd (1.3.2-3) unstable; urgency=medium

  * backport patch for fwupd-refresh: don't try to enable LVFS if disabled
    (Closes: #942568)
  * fwupd-refresh: backport a series of patches that essentially turns off motd
    refresh unless running on a very new systemd (v243) due to systemd v242 bug.
    (Closes: #942567)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 18 Oct 2019 09:50:55 -0500

fwupd (1.3.2-2) unstable; urgency=medium

  * cleanup symlink from broken 1.3.2-1 if fwupd-refresh was started
  * backport path for fwupd-refresh: fix a clash with fwupd.service (Closes: #941360)
    (Closes: #941661)
  * debian/control*: Update for fwupdate transition

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 03 Oct 2019 15:52:23 -0500

fwupd (1.3.2-1) unstable; urgency=medium

  * New upstream version (1.3.2)
    - Allow not prompting for metadata every time (Closes: #941048)
    - Avoid resetting display every login with Dell docks (LP: #1793965)
    - Provides a network service file (Closes: #921820)
    - Description is clearer (Closes: #911505)
    - Wacom failures don't occur (Closes: #915794)
    - Xbox360 controllers keep working (Closes: #920012)
  * Uses libtss2-dev at build time and switches to TSS for runtime rather than
    tpm2-tools/tpm2-abrmd.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 26 Sep 2019 09:16:02 -0500

fwupd (1.2.10-2) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add Built-Using for the fwupd-*-signed packages. Closes: #932757

 -- Steve McIntyre <93sam@debian.org>  Mon, 22 Jul 2019 17:38:23 -0300
