=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: fwupd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Daniel Jared Dominguez <jared.dominguez@dell.com>,
            Matthias Klumpp <mak@debian.org>,
@@ -9,7 +8,7 @@
 Build-Depends:
 	bash-completion,
 	bubblewrap,
-	debhelper (>= 11),
+	debhelper (>= 12),
 	dh-strip-nondeterminism,
 	fontconfig,
 	fonts-noto,
@@ -43,10 +42,11 @@
 	libsoup2.4-dev,
 	libsqlite3-dev,
 	libtool-bin,
-	libxmlb-dev (>= 0.1.5),
+	libtss2-dev,
+	libxmlb-dev (>= 0.1.13),
 	locales,
 	meson,
-	mingw-w64-tools,
+	mingw-w64-tools [amd64 arm64 armhf i386],
 	pkg-config,
 	policykit-1 (>> 0.105-14),
 	python3-gi-cairo,
@@ -58,12 +58,27 @@
 	umockdev,
 	valac,
 	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Section: admin
-Homepage: https://github.com/hughsie/fwupd
+Homepage: https://github.com/fwupd/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd
 
+Package: libfwupdplugin1
+Section: libs
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Firmware update daemon plugin library
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Firmware updates are supported for a variety of technologies.
+ See <https://github.com/fwupd/fwupd> for details
+ .
+ This package provides the library for the interface between daemon and plugins.
+
 Package: libfwupd2
 Section: libs
 Architecture: linux-any
@@ -75,7 +90,7 @@
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
  .
  This package provides the library used by the daemon.
 
@@ -85,23 +100,27 @@
          ${shlibs:Depends},
          shared-mime-info
 Recommends: python3,
+	    bolt,
 	    fwupd-signed
-Suggests: bolt,
-	  tpm2-tools,
-	  tpm2-abrmd,
+Provides: fwupdate
+Conflicts: fwupdate-amd64-signed,
+	   fwupdate-i386-signed,
+	   fwupdate-arm64-signed,
+	   fwupdate-armhf-signed
 Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
 	libdfu1 (<< 0.9.7-1),
 	libdfu-dev (<< 0.9.7-1)
 Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
 	  libdfu1 (<< 0.9.7-1),
-	  libdfu-dev (<< 0.9.7-1)
+	  libdfu-dev (<< 0.9.7-1),
+	  fwupdate (<< 12-7)
 Multi-Arch: foreign
 Description: Firmware update daemon
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
 
 Package: fwupd-tests
 Architecture: linux-any
@@ -123,7 +142,7 @@
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
  .
  This package provides a set of installed tests that can be run to validate
  the daemon in a continuous integration system.
@@ -138,7 +157,7 @@
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
  .
  This package provides development documentation for creating a package that
  uses fwupd.
@@ -157,7 +176,7 @@
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
  .
  This package provides the development files for libfwupd
 
@@ -172,3 +191,59 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: libfwupdplugin-dev
+Architecture: linux-any
+Multi-Arch: same
+Depends: libfwupdplugin1 (= ${binary:Version}),
+         gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
+         ${misc:Depends}
+Section: libdevel
+Description: development files for libfwupdplugin
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Firmware updates are supported for a variety of technologies.
+ See <https://github.com/fwupd/fwupd> for details
+ .
+ This package provides the development files for libfwupdplugin
+
+Package: gir1.2-fwupdplugin-1.0
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${gir:Depends}
+Section: introspection
+Description: GObject introspection data for libfwupdplugin
+ This package provides the introspection data for libfwupdplugin.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
+Package: fwupd-amd64-signed-template
+Architecture: amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-i386-signed-template
+Architecture: i386
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-armhf-signed-template
+Architecture: armhf
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-arm64-signed-template
+Architecture: arm64
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
