=== debian/rules ===
--- 
+++ 
@@ -10,63 +10,50 @@
 	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
 endif
 
-CONFARGS =
+ifneq ($(CI),)
+	export CI=--werror --wrap-mode=default
+endif
 
-ifneq ($(CI),)
-	CONFARGS += --werror --wrap-mode=default
-endif
+regenerate_control:
+	OS=debian-x86_64 ./contrib/ci/generate_debian.py
 
 SB_STYLE := debian
 deb_version := $(shell dpkg-parsechangelog --show-field Version)
-
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
 	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
-	CONFARGS += -Dplugin_flashrom=false
-	CONFARGS += -Defi_sbat_distro_id=ubuntu
-	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
-	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
-	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
-	CONFARGS += -Defi_sbat_distro_url="https://launchpad.net/ubuntu/+source/fwupd"
 else
 	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
-	ifneq ($(DEB_HOST_ARCH_CPU),ia64)
-		CONFARGS += -Dplugin_flashrom=true
-	else
-		CONFARGS += -Dplugin_flashrom=false
-	endif
-	CONFARGS += -Defi_sbat_distro_id=debian
-	CONFARGS += -Defi_sbat_distro_summary=Debian
-	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
-	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
-	CONFARGS += -Defi_sbat_distro_url="https://tracker.debian.org/pkg/fwupd"
 endif
 
-ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
-	CONFARGS += -Dplugin_dell=true
-else
-	CONFARGS += -Dplugin_dell=false
-endif
-
-ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
-	CONFARGS += -Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true
-else
-	CONFARGS += -Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false
-endif
-
-CONFARGS += -Dplugin_dummy=true -Dgtkdoc=true --libexecdir=/usr/lib
-
 %:
+	[ -f debian/control ] || debian/rules regenerate_control
 	dh $@ --with gir
 
-override_dh_auto_clean:
+override_dh_auto_clean: regenerate_control
+	rm -fr obj-*
 	rm -fr debian/build
 ifeq (ubuntu,$(SB_STYLE))
 	rm -rf debian/fwupd-images
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONFARGS)
+	if pkg-config --exists libsmbios_c; then \
+		export DELL="-Dplugin_dell=true"; \
+	else \
+		export DELL="-Dplugin_dell=false"; \
+	fi; \
+	if pkg-config --exists efivar; then \
+		export UEFI="-Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true"; \
+	else \
+		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
+	fi; \
+	if [ ! -z "$$CI" ]; then \
+		export FLASHROM="-Dplugin_flashrom=true"; \
+	else \
+		export FLASHROM="-Dplugin_flashrom=false"; \
+	fi; \
+	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true -Dgtkdoc=true --libexecdir=/usr/lib
 
 override_dh_install:
 	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
@@ -83,11 +70,16 @@
 	fi
 	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/sbin/flashrom ]; then \
 		dh_install -pfwupd usr/sbin/flashrom ;\
+		dh_install -plibfwupd2 usr/lib/*/libflashrom.so.*; \
+		dh_install -plibfwupd-dev usr/include/libflashrom.h; \
+		dh_install -plibfwupd-dev usr/lib/*/libflashrom.so; \
+		dh_install -plibfwupd-dev usr/lib/*/pkgconfig/flashrom.pc; \
 	fi
 	dh_missing -a --fail-missing
 
 	#this is placed in fwupd-tests
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so
+	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_invalid.so
 	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf
 
 ifeq (debian,$(SB_STYLE))
@@ -112,5 +104,17 @@
 		dh_auto_test; \
 	fi
 
+override_dh_builddeb:
+	dh_builddeb
+ifeq (ubuntu,$(SB_STYLE))
+	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
+		mkdir -p debian/fwupd-images/$(deb_version) ;\
+		cp debian/tmp/usr/lib/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version) ;\
+		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version ;\
+		tar -C debian/fwupd-images -czvf ../$(tar_name) . ;\
+		dpkg-distaddfile $(tar_name) raw-uefi - ;\
+	fi
+endif
+
 override_dh_shlibdeps:
 	dh_shlibdeps $$DHSLIBS
