=== debian/changelog ===
fwupd (1.3.9-4) unstable; urgency=medium

  * Backport a handful of patches from 1_3_X branch:
    - Thunderbolt: create correct GUID for dual controller devices
    - CSR: Fix parsing
    - Motd: Fix refresh target to be network.target
    - Logitech: Fix error in logs on unsigned devices and set protocol for
      signed devices properly.
    - Fix a FTBFS on empty /etc/machine-id in some buildd environments.
      (LP: #1870051)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 01 Apr 2020 13:43:21 -0500

fwupd (1.3.9-3) unstable; urgency=medium

  * Backport a patch from upstream to not use shim on non-secure boot installs.
    - Helps avoid hitting a shim regression.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 23 Mar 2020 09:39:16 -0500

fwupd (1.3.9-2) unstable; urgency=medium

  * Backport a patch to correct an error with shutdown script.
  * Enable flashrom plugin for Debian.
    - This is turned off for Ubuntu for now since flashrom is in universe.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 05 Mar 2020 20:03:03 -0600

fwupd (1.3.9-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream stable release (1.3.9)
    - Moves some binaries from usr/libexec into usr/bin
    - Adds fish completion script.
    - Inhibit all power management actions using logind when updating
  * Bug fixes:
    - Always check for PLAIN when doing vercmp() operations
    - Always return AppStream markup for remote agreements
    - Apply UEFI capsule update even with single valid capsule
    - Check the device protocol before de-duping devices
    - Copy the version and format from donor device in get-details
    - Correctly append the release to devices in `fwupdtool get-details`
    - Decrease minimum battery requirement to 10%
    - Discard the reason upgrades aren't available
    - Do not fail loading in /etc/machine-id is not available
    - Fix a critical warning when installing some firmware
    - For the `get-details` command make sure to always show devices
    - Set the MSP430 version format to pair
    - Switch off the ATA verbose logging by default
    - Use unknown for version format by default on get-details
  * Drop all existing patches.

  [ Laurent Bigonville ]
  * debian/control.in: Add libglib2.0-doc to Build-Depends-Indep
  * Move the daemons from /usr/lib/fwupd to /usr/libexec/fwupd
  * debian/*.symbols: Add the Build-Depends-Package field

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 04 Mar 2020 10:32:33 -0600

fwupd (1.3.8-1) unstable; urgency=medium

  * New upstream version (1.3.8)
  * Drop all existing patches
  * Backport patches for:
   - battery level threshold adjustment (30%->10%)
   - A logic error with report uploading
  * Update standards version

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 14 Feb 2020 09:41:27 -0600

fwupd (1.3.7-3) unstable; urgency=medium

  * Backport some patches from upstream.
    - Revert a commit to fix UEFI updates hanging on many Dell systems.
    - Adjust motd output to contain more whitespace

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 10 Feb 2020 12:55:12 -0600

fwupd (1.3.7-2) unstable; urgency=medium

  * Backport a patch to fix fwupd-refresh.service (Fixes: #950407, Fixes: #950408)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 02 Feb 2020 08:41:33 -0600

fwupd (1.3.7-1) unstable; urgency=medium

  * New upstream version (1.3.7)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 31 Jan 2020 07:52:16 -0600
