=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	libefiboot-dev [amd64 arm64 armhf i386],
 	libefivar-dev [amd64 arm64 armhf i386],
 	libelf-dev,
+	libflashrom-dev,
 	libfreetype6-dev,
 	libgcab-dev,
 	libgirepository1.0-dev,
@@ -58,7 +59,8 @@
 	umockdev,
 	valac,
 	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
-Standards-Version: 4.4.1
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Standards-Version: 4.5.0
 Section: admin
 Homepage: https://github.com/fwupd/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
