=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,10 @@
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
 	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
+	export FLASHROM=-Dplugin_flashrom=false
 else
 	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
+	export FLASHROM=-Dplugin_flashrom=true
 endif
 
 %:
@@ -48,32 +50,20 @@
 	else \
 		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
 	fi; \
-	if [ ! -z "$$CI" ]; then \
-		export FLASHROM="-Dplugin_flashrom=true"; \
-	else \
-		export FLASHROM="-Dplugin_flashrom=false"; \
-	fi; \
-	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true -Dgtkdoc=true --libexecdir=/usr/lib
+	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true -Dgtkdoc=true
 
 override_dh_install:
 	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
 	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
 	dh_install
 	#install the EFI binaries if needed
-	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
-		dh_install -pfwupd usr/lib/fwupd/efi ;\
-		dh_install -pfwupd usr/lib/fwupd/fwupdate; \
+	if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
+		dh_install -pfwupd usr/libexec/fwupd/efi ;\
+		dh_install -pfwupd usr/bin/fwupdate; \
 	fi
 	#if build with meson subproject in CI need to install this too
 	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/lib/xb-tool ]; then \
 		dh_install -pfwupd usr/lib/xb-tool ;\
-	fi
-	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/sbin/flashrom ]; then \
-		dh_install -pfwupd usr/sbin/flashrom ;\
-		dh_install -plibfwupd2 usr/lib/*/libflashrom.so.*; \
-		dh_install -plibfwupd-dev usr/include/libflashrom.h; \
-		dh_install -plibfwupd-dev usr/lib/*/libflashrom.so; \
-		dh_install -plibfwupd-dev usr/lib/*/pkgconfig/flashrom.pc; \
 	fi
 	dh_missing -a --fail-missing
 
@@ -107,9 +97,9 @@
 override_dh_builddeb:
 	dh_builddeb
 ifeq (ubuntu,$(SB_STYLE))
-	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
+	if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
 		mkdir -p debian/fwupd-images/$(deb_version) ;\
-		cp debian/tmp/usr/lib/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version) ;\
+		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version) ;\
 		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version ;\
 		tar -C debian/fwupd-images -czvf ../$(tar_name) . ;\
 		dpkg-distaddfile $(tar_name) raw-uefi - ;\
